Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2013-0179

CVE information

Published

9 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

Low

Impact Analysis

Description

The process_bin_delete function in memcached.c in memcached 1.4.4 and other versions before 1.4.17, when running in verbose mode, allows remote attackers to cause a denial of service (segmentation fault) via a request to delete a key, which does not account for the lack of a null terminator in the key and triggers a buffer over-read when printing to stderr..

CVSSv2.0 Score

Severity
Low
Base Score
1.8/10
Exploit Score
3.2/10
Access Vector
Adjacent_network
Access Complexity
High
Authentication Required
None
Impact Score
2.9/10
Confidentiality Impact
None
Availability Impact
Partial
Integrity Impact
None

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:memcached:memcached:1.4.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:memcached:memcached:1.4.14:*:*:*:*:*:*:*
  Yes
- -